Subject: RE: /etc/profile in BASH
From: "Masterson, Dave" <[email-masked]>
To: "'Earnie Boyd'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Fri, 29 Sep 2000 11:28:53 -0700

Doh! You're right!  Memory is the second thing to go as you get older...

However, I still don't think these two lines to run ~/.profile and ~/.bashrc
belong in /etc/profile (neither does "cd $HOME").  They subvert the
"--noprofile" and "--norc" options to BASH.

-----Original Message-----
From: Earnie Boyd [mailto:[email-masked]]
Sent: Friday, September 29, 2000 11:26 AM
To: Masterson, Dave; [email-masked]'
Subject: RE: /etc/profile in BASH

--- "Masterson, Dave" <[email-masked]> wrote:
> I didn't realize that a login BASH doesn't execute ~/.bashrc.  Be that as
it
> may, I think it should be the decision of ~/.bash_profile (or ~/.profile)
> whether to execute ~/.bashrc -- *NOT* /etc/profile.  Putting this into
> /etc/profile makes it too BASH-centric.  What about the [T]CSH users?
Also,
> what about ~/.bash_login files (as described in the MAN page)?
> 

IIRC [t]csh doesn't user /etc/profile.  Use the source, Luke. (tm)

Cheers,

=====
Earnie Boyd
mailto:[email-masked]

---         <http://earniesystems.safeshopper.com>         ---
--- Cygwin: POSIX on Windows <http://gw32.freeyellow.com/> ---
---   Minimalist GNU for Windows <http://www.mingw.org/>   ---

__________________________________________________
Do You Yahoo!?
Yahoo! Photos - 35mm Quality Prints, Now Get 15 Free!
http://photos.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]